Subject: bug#39188: 28.0.50; w32 cursor redisplay problem

From: Fabrice Popineau <[email-masked]>
Date: Sun, 19 Jan 2020 18:29:14 +0100

Le dim. 19 janv. 2020 à 17:47, Eli Zaretskii <[email-masked]> a écrit :

>
> > OTOH and luckily, there is nothing like that if
> w32-use-visible-system-caret is set to nil.
>
> I actually am surprised you are using that, it's main use case is for
> people who use a speech synthesizer.
>

This is something that has changed in my back.
I am using windows 10 insider, slow ring. So every few weeks, I get a new
release with changes.
I did not understand at first why my emacs cursor has changed.
Then I found this w32-use-visible-system-caret variable which is
initialized in
w32term.c:w32_initialize()
if (!SystemParametersInfo (SPI_GETSCREENREADER, 0,
                             &w32_use_visible_system_caret, 0))

I have not the least idea why suddenly some screen reader has been detected
on my machine.
It is said that the windows narrator is not detected has such, so I am
stuck.
I have forcibly reverted the variable to nil.

Fabrice